<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package w3layouts
 */

?>

<div class="col-lg-12 blog-article-post">
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php $BlogHomePageAuthRequired = get_theme_mod( "BlogHomePageCategoryBelow","1")?>
	<?php $BlogHomePageDateRequired = get_theme_mod( "BlogHomePageDateBelow","1")?>
	<?php $BlogHomePageReadMoreRequired = get_theme_mod( "BlogHomePageReadMoreBelow","1")?>
	<div <?php if( $BlogHomePageAuthRequired==1 || $BlogHomePageDateRequired==1 || $BlogHomePageReadMoreRequired==1){?>
	<?php }?>>

	<div class="blog-post mt-0">
		<div class="post-content">
			
			<?php w3layouts_post_thumbnail(); ?>

			<ul class="blog-author-date d-flex align-items-center mt-3 mb-2">
				
				<?php $BlogHomePageAuthStatus = get_theme_mod( "BlogHomePageAuthRequired","1")?>
				<?php if( $BlogHomePageAuthStatus==1 ){?>
					<li>By <span class="author"><?php echo w3layouts_posted();?></span> </li>
				<?php }?>

				<?php $BlogHomePageDateStatus = get_theme_mod( "BlogHomePageDateRequired","1")?>
				<?php if( $BlogHomePageDateStatus==1 ){?>
					<li><span class="fa fa-calendar-o" aria-hidden="true"></span> 
					<?php echo get_the_date( 'F j, Y' ); ?></li>
				<?php }?>

				<!-- <li><span class="fa fa-comment-o" aria-hidden="true"></span> 2</li> -->
			</ul>

			<a href="<?php the_permalink() ?>">
				<h4 class="text-head-text-9 my-2">
					<?php
						if ( is_singular() ) :
							the_title( '', '' );
						else :
							the_title( '', '' );
						endif;
					?>
				</h4>
			</a>

			<p class="blog-read mb-4">
				<?php
				// $post_content_w3 = get_the_content();
				// echo substr($post_content_w3, 0, 0);
				?>
			</p>
			<?php $BlogHomePageReadMoreStatus = get_theme_mod( "BlogHomePageReadMoreRequired","1")?>
			<?php if( $BlogHomePageReadMoreStatus==1 ){?>
				<p class="btn btn-primary theme-button" href="<?php echo esc_url( home_url( '/' ) ); ?>">
			Read More</p>
			<?php }?>
		</div>
	</div>

</article>
</div>

<!-- </article>#post-<?php the_ID(); ?> -->